package main

import (
	"github.com/sirupsen/logrus"
	"log"
)

func setupLogs() *logrus.Logger {
	// Initialize logrus with standard settings
	logrus.SetFormatter(&logrus.TextFormatter{
		FullTimestamp: true,
	})
	logrus.SetLevel(logrus.InfoLevel)

	log.SetOutput(logrus.StandardLogger().Writer())

	return logrus.New()
}
